rollout VuProxyVehiclePresets "VuProxyVehiclePresets" width:162 height:100
(

	dropDownList 'VehicleType' "Vehicle Type" pos:[19,11] width:124 height:40 items:#("1 - Default", "2 - Pickup","3 - Van","4 - Bus","5 - Truck","6 - Low Rider","7 - Monstertruck","8 - Beetle","9 - Limo","10 - HumVee","11 - F1","12 - Tron","13 - Hover3000","14 - Billy Cart","15 - Snow Tractor") align:#left

	on VehicleType selected sel do
	(
	if $ != undefined do
		(

	case Sel of
	(
		1: (	-- Default
			$.BodyLength = 200.0
			$.VehicleWidth = 180.0
			$.DoorHeight = 80.0
			$.RoofHeight = 50.0
			$.WindshieldOffsetX = -44.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 15.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 130.0
			$.FrontHeight = 80.0
			$.FrontOffsetX = 0.0
			$.FrontOffsetZ = -20.0
			$.BackLength = 120.0
			$.BackHeight = 70.0
			$.BackOffsetZ = 10.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 30.0
			$.BackWheelRadius = 30.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = -20.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off	
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		2: (	-- Pickup
			$.BodyLength = 160.0
			$.VehicleWidth = 200.0
			$.DoorHeight = 85.0
			$.RoofHeight = 60.0
			$.WindshieldOffsetX = -35.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 5.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 120.0
			$.FrontHeight = 85.0
			$.FrontOffsetX = -3.0
			$.FrontOffsetZ = -14.0
			$.BackLength = 250.0
			$.BackHeight = 85.0
			$.BackOffsetZ = 0.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 40.0
			$.BackWheelRadius = 40.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = 0.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off	
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = on
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		3: (	-- Van
			$.BodyLength = 290.0
			$.VehicleWidth = 200.0
			$.DoorHeight = 110.0
			$.RoofHeight = 85.0
			$.WindshieldOffsetX = -40.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 77.0
			$.FrontHeight = 110.0
			$.FrontOffsetX = 0.0
			$.FrontOffsetZ = -36.0
			$.BackLength = 100.0
			$.BackHeight = 195.0
			$.BackOffsetZ = 0.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 30.0
			$.BackWheelRadius = 30.0
			$.FrontWheelOffset = -30.0
			$.BackWheelOffset = 0.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off	
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		4: (	-- Bus
			$.BodyLength = 100.0
			$.VehicleWidth = 260.0
			$.DoorHeight = 120.0
			$.RoofHeight = 130.0
			$.WindshieldOffsetX = -0.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 50.0
			$.FrontHeight = 250.0
			$.FrontOffsetX = 0.0
			$.FrontOffsetZ = -30.0
			$.BackLength = 1000.0
			$.BackHeight = 250.0
			$.BackOffsetZ = 0.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 50.0
			$.BackWheelRadius = 50.0
			$.FrontWheelOffset = -125.0
			$.BackWheelOffset = 350.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off	
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		5: (	-- Truck
			$.BodyLength = 150.0
			$.VehicleWidth = 260.0
			$.DoorHeight = 170.0
			$.RoofHeight = 110.0
			$.WindshieldOffsetX = -25.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 120.0
			$.FrontHeight = 170.0
			$.FrontOffsetX = 0.0
			$.FrontOffsetZ = -10.0
			$.BackLength = 1200.0
			$.BackHeight = 396.0
			$.BackOffsetZ = 0.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 50.0
			$.BackWheelRadius = 50.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = 0.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = on
			$.ShowAllWheels = off			
			$.PairCount = 8
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		6: (	-- Low Rider
			$.BodyLength = 230.0
			$.VehicleWidth = 180.0
			$.DoorHeight = 70.0
			$.RoofHeight = 60.0
			$.WindshieldOffsetX = -73.0
			$.WindshieldOffsetZ = -4.0
			$.RearOffsetX = 22.0
			$.RearOffsetZ = -10.0
			$.FrontLength = 150.0
			$.FrontHeight = 70.0
			$.FrontOffsetX = -25.0
			$.FrontOffsetZ = -15.0
			$.BackLength = 95.0
			$.BackHeight = 52.0
			$.BackOffsetZ = 18.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 25.0
			$.BackWheelRadius = 45.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = -60.0
			$.WheelSideOffset = 22.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		7: (	-- Monster Truck
			$.BodyLength = 180.0
			$.VehicleWidth = 200.0
			$.DoorHeight = 100.0
			$.RoofHeight = 70.0
			$.WindshieldOffsetX = -35.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 5.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 150.0
			$.FrontHeight = 100.0
			$.FrontOffsetX = -3.0
			$.FrontOffsetZ = -14.0
			$.BackLength = 250.0
			$.BackHeight = 100.0
			$.BackOffsetZ = 0.0
			$.WheelWidth = 70.0
			$.FrontWheelRadius = 100.0
			$.BackWheelRadius = 100.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = 0.0
			$.WheelSideOffset = 84.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 75.0
			$.SelfCentred = on
		)
		8: (	-- Beetle
			$.BodyLength = 200.0
			$.VehicleWidth = 180.0
			$.DoorHeight = 90.0
			$.RoofHeight = 60.0
			$.WindshieldOffsetX = -60.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = -8.0
			$.FrontLength = 130.0
			$.FrontHeight = 90.0
			$.FrontOffsetX = -32.0
			$.FrontOffsetZ = -22.0
			$.BackLength = 120.0
			$.BackHeight = 67.0
			$.BackOffsetZ = 75.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 30.0
			$.BackWheelRadius = 30.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = 0.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		9: (	-- Limo
			$.BodyLength = 700.0
			$.VehicleWidth = 180.0
			$.DoorHeight = 80.0
			$.RoofHeight = 60.0
			$.WindshieldOffsetX = -40.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 25.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 150.0
			$.FrontHeight = 80.0
			$.FrontOffsetX = -15.0
			$.FrontOffsetZ = -10.0
			$.BackLength = 120.0
			$.BackHeight = 80.0
			$.BackOffsetZ = 0.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 30.0
			$.BackWheelRadius = 30.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = -50.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		10: (	-- HumVee
			$.BodyLength = 185.0
			$.VehicleWidth = 220.0
			$.DoorHeight = 100.0
			$.RoofHeight = 60.0
			$.WindshieldOffsetX = -7.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 130.0
			$.FrontHeight = 100.0
			$.FrontOffsetX = -15.0
			$.FrontOffsetZ = -25.0
			$.BackLength = 170.0
			$.BackHeight = 100.0
			$.BackOffsetZ = 60.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 50.0
			$.BackWheelRadius = 50.0
			$.FrontWheelOffset = 9.0
			$.BackWheelOffset = 0.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		11: (	-- F1
			$.BodyLength = 180.0
			$.VehicleWidth = 80.0
			$.DoorHeight = 37.0
			$.RoofHeight = 10.0
			$.WindshieldOffsetX = -90.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 130.0
			$.FrontHeight = 37.0
			$.FrontOffsetX = 0.0
			$.FrontOffsetZ = -15.0
			$.BackLength = 170.0
			$.BackHeight = 30.0
			$.BackOffsetZ = 40.0
			$.WheelWidth = 30.0
			$.FrontWheelRadius = 35.0
			$.BackWheelRadius = 35.0
			$.FrontWheelOffset = -35.0
			$.BackWheelOffset = -20.0
			$.WheelSideOffset = 50.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = on
			$.Ute = off
			$.MonsterOffset = -12.0
			$.SelfCentred = on
		)
		12: (	-- Tron
			$.BodyLength = 120.0
			$.VehicleWidth = 20.0
			$.DoorHeight = 50.0
			$.RoofHeight = 6.0
			$.WindshieldOffsetX = -20.0
			$.WindshieldOffsetZ = -2.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 70.0
			$.FrontHeight = 50.0
			$.FrontOffsetX = -9.0
			$.FrontOffsetZ = -20.0
			$.BackLength = 70.0
			$.BackHeight = 40.0
			$.BackOffsetZ = 16.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 25.0
			$.BackWheelRadius = 40.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = 16.0
			$.WheelSideOffset = 10.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = off
			$.Ute = off
			$.MonsterOffset = -8.0
			$.SelfCentred = on
		)
		13: (	-- Hover3000
			$.BodyLength = 200.0
			$.VehicleWidth = 180.0
			$.DoorHeight = 90.0
			$.RoofHeight = 28.0
			$.WindshieldOffsetX = -75.0
			$.WindshieldOffsetZ = -10.0
			$.RearOffsetX = 20.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 130.0
			$.FrontHeight = 90.0
			$.FrontOffsetX = 12.0
			$.FrontOffsetZ = -50.0
			$.BackLength = 80.0
			$.BackHeight = 105.0
			$.BackOffsetZ = -15.0
			$.WheelWidth = 20.0
			$.FrontWheelRadius = 0.0
			$.BackWheelRadius = 0.0
			$.FrontWheelOffset = 0.0
			$.BackWheelOffset = 0.0
			$.WheelSideOffset = 0.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = on
			$.Ute = off
			$.MonsterOffset = 50.0
			$.SelfCentred = on
		)
		14: (	-- Billy Cart
			$.BodyLength = 70.0
			$.VehicleWidth = 40.0
			$.DoorHeight = 15.0
			$.RoofHeight = 15.0
			$.WindshieldOffsetX = 0.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 40.0
			$.FrontHeight = 30.0
			$.FrontOffsetX = 0.0
			$.FrontOffsetZ = -15.0
			$.BackLength = 5.0
			$.BackHeight = 40.0
			$.BackOffsetZ = 0.0
			$.WheelWidth = 5.0
			$.FrontWheelRadius = 15.0
			$.BackWheelRadius = 15.0
			$.FrontWheelOffset = 10.0
			$.BackWheelOffset = -5.0
			$.WheelSideOffset = 10.0
			$.MultiRearWheels = off
			$.ShowAllWheels = off			
			$.PairCount = 2
			$.OpenTop = on
			$.Ute = off
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)
		15: (	-- Snow Tractor
			$.BodyLength = 20.0
			$.VehicleWidth = 120.0
			$.DoorHeight = 85.0
			$.RoofHeight = 60.0
			$.WindshieldOffsetX = -12.0
			$.WindshieldOffsetZ = 0.0
			$.RearOffsetX = 0.0
			$.RearOffsetZ = 0.0
			$.FrontLength = 130.0
			$.FrontHeight = 85.0
			$.FrontOffsetX = -3.0
			$.FrontOffsetZ = -15.0
			$.BackLength = 200.0
			$.BackHeight = 85.0
			$.BackOffsetZ = 0.0
			$.WheelWidth = 50.0
			$.FrontWheelRadius = 40.0
			$.BackWheelRadius = 40.0
			$.FrontWheelOffset = 45.0
			$.BackWheelOffset = 0.0
			$.WheelSideOffset = 40.0
			$.MultiRearWheels = on
			$.ShowAllWheels = on			
			$.PairCount = 8
			$.OpenTop = off
			$.Ute = on
			$.MonsterOffset = 0.0
			$.SelfCentred = on
		)

		)
		)
	)
)
createdialog VuProxyVehiclePresets